AR# 66741

HDCP 2.2 - HDCP1.x - Do I need to have both the HDCP 1.x and HDCP 2.2 cores, or is HDCP 2.2 backward compatible with HDCP 1.x?

Description

Do I need to have both the HDCP 1.x and HDCP 2.2 cores, or is HDCP 2.2 backward compatible with HDCP 1.x?

Solution

In order to support both HDCP 1.4 and HDCP 2.2, you will need to include both IPs in the HDMI or DisplayPort Subsystem IPs.

This is because High-bandwidth Digital Content Protection (HDCP) 1.x and 2.x are 2 different algorithms. 

HDCP 2.x is a completely different link protection based on AES and is not backward compatible.

For more information, see the overview of HDCP v2.X on Wikipedia.

https://en.wikipedia.org/wiki/High-bandwidth_Digital_Content_Protection#HDCP_v2.x

Linked Answer Records

Master Answer Records

AR# 66741
Date 06/21/2019
Status Active
Type General Article
IP More Less